--- title: "RemoveFilePlugin" slug: "management-cloudinsight-removefileplugin" tags: ["Cloud Insight", "File Plugin"] updated: 2026-09-17T09:10:23Z published: 2026-09-17T09:10:23Z canonical: "api-fin.ncloud-docs.com/management-cloudinsight-removefileplugin" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-fin.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # RemoveFilePlugin 특정 서버의 File Plugin을 삭제합니다. ## 요청 요청 형식을 설명합니다. 요청 형식은 다음과 같습니다. | 메서드 | URI | | --- | --- | | POST | /cw_server/real/api/plugin/file/remove | ### 요청 헤더 Cloud Insight API에서 공통으로 사용하는 헤더에 대한 정보는 [Cloud Insight 요청 헤더](/docs/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94)를 참조해 주십시오. ### 요청 바디 요청 바디에 대한 설명은 다음과 같습니다. | 필드 | 타입 | 필수 여부 | 설명 | | --- | --- | --- | --- | | `configList` | List | Required | file 경로 | | `instanceNo` | String | Required | 서버의 instanceNo, 하나의 InstanceNo만 입력 가능 | | `type` | String | Optional | 상품명 - 제약사항 : `VPCServer`, `ClassicServer`, `CloudHadoop`, default : `VPCServer` | ### 요청 예시 요청 예시는 다음과 같습니다. ``` POST /cw_server/real/api/plugin/file/remove Host: cw.apigw.fin-ntruss.com Content-Type: application/json x-ncp-apigw-signature-v2: {generated signature} x-ncp-apigw-timestamp: {current timestamp} x-ncp-iam-access-key: {your iam access key} x-ncp-dmn_cd: FIN x-ncp-region_code: {your region code} Payload: { "configList": [ "/root/insight_test/insight.pyc" ], "instanceNo": "1234567", "type": "VPCServer" } ``` ## 응답 응답 형식을 설명합니다. ### 응답 상태 코드 네이버 클라우드 플랫폼에서 공통으로 사용하는 응답 상태 코드에 대한 정보는 [Cloud Insight API 응답 상태 코드](/docs/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C)를 참조해 주십시오. ### 응답 예시 오류 없이 삭제가 완료되면 response body 없이 HTTP code 200이 리턴됩니다.